dofile('data/Scenes/18_arbour_Anim_spider.lua')
dofile('data/Scenes/18_arbour_Anim_lizard.lua')
dofile('data/Scenes/18_arbour_Anim_background.lua')

local PATH_COMICS_18_ON_SHOWN              = 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'
local PATH_COMICS_18_WIN                   = 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'
local PATH_COMICS_18_WEB                   = 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'
local PATH_COMICS_18_LADDER                = 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'

function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad(screen:GetName())

    local pf = play_field
    local level = pf:GetLevelScreen()
	
	---------------------------------------------------------------------------------------------
	level:AddTaskSafe(CreateTask('COMMUNICATOR', '', 'palm'))
	AddRandomTasks(15,
                     CreateTask('ASHTRAY', '', 'ashtray'),
                     CreateTask('AXE', '', 'axe'),
                     CreateTask('BAG', '', 'bag'),
                     CreateTask('SCALES', '', 'balance'),
                     CreateTask('BOOK', '', 'book'),
                     CreateTask('BOTTLE', '', 'bottle'),
                     CreateTask('BROOM', '', 'broom'),
                     CreateTask('CACTUS', '', 'cactus'),
                     CreateTask('CAMERA', '', 'camera'),
                     CreateTask('CLOCK', '', 'clock'),
                     CreateTask('CORAL', '', 'coral'),
                     CreateTask('ELEPHANT', '', 'elephant'),
                     CreateTask('FORK', '', 'fork'),
                     CreateTask('GLOVES', '', 'gloves'),
                     CreateTask('GUN', '', 'gun'),
                     CreateTask('HAT', '', 'hat'),
                     CreateTask('KNIFE', '', 'knife'),
                     CreateTask('LAMP', '', 'lamp'),
                     CreateTask('LOUPE', '', 'magnifying_glass'),
                     CreateTask('CORN', '', 'maize'),
                     CreateTask('MASK', '', 'mask'),
                     CreateTask('NEST', '', 'nest'),
                     CreateTask('BINOCULARS', '', 'pair_of_glasses'),
                     CreateTask('PIPE', '', 'pipe'),
                     CreateTask('SCISSORS', '', 'scissors'),
                     CreateTask('SCROLL', '', 'scroll'),
                     CreateTask('SHOES', '', 'shoes'),
                     CreateTask('SPRING', '', 'spring'),
                     CreateTask('STAMP', '', 'stamp'),
                     CreateTask('TIE', '', 'tie'),
                     CreateTask('VASE', '', 'vase'),
                     
                     CreateTask('AIRPLANE', '', 'airplane'),
                     CreateTask('HANDBELL', '', 'handbell'),
                     CreateTask('POMEGRANATE', '', 'pomegranate'),
                     CreateTask('SHIP', '', 'ship'),
                     CreateTask('SNAIL', '', 'snail'),
                     
                     CreateTask('COMB', '', 'comb'),
                     CreateTask('PEPPER', '', 'pepper'),
                     CreateTask('SNAKE', '', 'snake')
                   )
	---------------------------------------------------------------------------------------------
	local anim_spider_enter = createComposition_spider_enter()
    anim_spider_enter:AttachTo( pf:GetObject('bg_pipe') )
    anim_spider_enter:SetDestroysOnEnd(false)
    anim_spider_enter:SetXY(-320, -240)
    anim_spider_enter:SetZ(100)
    game_state.anim_spider_enter = anim_spider_enter
    ---------------------------------------------------------------------------------------------
    local anim_spider_run = createComposition_spider_run()
    anim_spider_run:AttachTo( pf:GetObject('bg_pipe') )
    anim_spider_run:SetDestroysOnEnd(false)
    anim_spider_run:SetXY(-320, -240)
    anim_spider_run:SetZ(100)
    anim_spider_run:SetVisible(false)
    ---------------------------------------------------------------------------------------------
    local state_anim_lizard = game_state.scene_path..'__anim_lizard_run'
    if GameStateExists(state_anim_lizard) == false then
        game_state.locker:AddRef()
        pf:SetEnabled(false)
        local anim_lizard = createCompositionComp_1()
        anim_lizard:AttachTo( screen )
        anim_lizard:SetZ(101)
        anim_lizard:SetDestroysOnEnd(false)
        anim_lizard:Play()
        local duration_anim_lizard = anim_lizard:GetDuration()
        TimerDo(play_field:GetTimer(), duration_anim_lizard, function()
                                                                AddGameState(state_anim_lizard, '')
                                                                game_state.chain_on_shown.Play()
                                                                game_state.locker:Release()
                                                                pf:SetEnabled(true)
                                                             end )
    end        
    ---------------------------------------------------------------------------------------------
	local zone_pipe = CreateZoomZone('close_zone_pipe',
                                   'pixel_open_pipe',
                                   'bg_pipe',
                                   'airplane',
                                   'handbell',
                                   'pomegranate',
                                   'ship',
                                   'snail',
                                   'layer_ship',
                                   'pixel_spider',
                                   'ladder'
                              )
    pf:GetObject('pixel_spider'):SetMaxOpacity(0.01)
    pf:IgnoreOnTestPoint('ladder')
    ---------------------------------------------------------------------------------------------
    RegisterInactiveGroup('Roof', 'palm')
    local zone_roof = CreateZoomZone('close_zone_roof',
                                       '', -- pixel_open_roof
                                       'bg_roof',
                                       'comb',
                                       'pepper',
                                       'snake',
                                       'board_open',
                                       'board_close',
                                       'lizard_run_on_roof',
                                       'palm'
                              )
    local lizard_run_on_roof = pf:GetObject('lizard_run_on_roof')
    pf:GetObject('board_open'):SetMaxOpacity(0)
    pf:IgnoreOnTestPoint('board_open')
    pf:IgnoreOnTestPoint('lizard_run_on_roof')
    lizard_run_on_roof:GetAnimation():SetMode(HGEANIM_NOLOOP)
    lizard_run_on_roof:GetAnimation():Stop()
    ---------------------------------------------------------------------------------------------
    local clickOnBoard = function(save)
        if save then
            pf:GetObject('board_open'):SetMaxOpacity(1)
            pf:GetObject('board_close'):SetMaxOpacity(0)
            lizard_run_on_roof:SetMaxOpacity(0)
        else
            local time = 0.3
            zone_roof.ChangeObjOpacity('board_open', 0, 1, time)
            zone_roof.ChangeObjOpacity('board_close', 1, 0, time)
            lizard_run_on_roof:SetOpacity(1)
            local time_anim_lizard = GetAnimationLength( lizard_run_on_roof:GetAnimation() )
            lizard_run_on_roof:GetAnimation():Play()
            zone_roof.Blocked(time_anim_lizard)
			TimerDo(play_field:GetTimer(), time_anim_lizard, function()
													zone_roof.ChangeObjOpacity('lizard_run_on_roof', 1, 0, 0.1)
											     end)
            
            PlaySound('18_open_box')
        end
        
        UnregisterInactiveGroup('Roof')
    end
    RegisterActiveObject('board_close', clickOnBoard, false, GetCursorArms())
    ---------------------------------------------------------------------------------------------
    local apply_action_spray = function(save)
                                game_state.anim_spider_enter:Destroy()
                                game_state.anim_spider_enter = nil
                                    
                                if save then
                                    anim_spider_run:Destroy()
                                else
                                    anim_spider_run:Play()
                                    anim_spider_run:SetVisible(true)
                                    
                                    local duration_anim_spider_run = anim_spider_run:GetDuration()
                                    TimerDo(pf:GetTimer(), duration_anim_spider_run, function()
                                                                                         anim_spider_run:Play()
                                                                                         anim_spider_run:ChangeOpacity(1, 0, 0.2)
                                                                                      end )
                                    PlaySound('18_use_spray')
                                end
                                pf:DoNotIgnoreOnTestPoint('ladder')
                                pf:GetObject('pixel_spider'):SetOpacity(0)
                             end
    local photo_spray = CreatePhotoZoneEx('spray', 'spray_tool', 'BUG_SPRAY', 'spray_photo', nil, 'pixel_spider', apply_action_spray)
    ---------------------------------------------------------------------------------------------
    pf:GetObject('ladder_full'):SetOpacity(0)
    local photo_action_ladder = function()
                             end
    local apply_action_ladder = function(save)
                                if save then
                                    pf:GetObject('ladder_full'):SetOpacity(1)
                                else
                                    pf:GetObject('ladder_full'):ChangeOpacity(0, 1, 0.3)
                                    PlaySound('18_set_up_ladder')
                                end
                                RegisterZoomZone(zone_roof, 'pixel_open_roof')
                                pf:GetObject('pixel_tool_target_ladder'):SetOpacity(0)
                             end
    local photo_ladder = CreatePhotoZoneEx('ladder', 'ladder_tool', 'LADDER', 'ladder_photo', photo_action_ladder, 'pixel_tool_target_ladder', apply_action_ladder)
    ---------------------------------------------------------------------------------------------
    local periodically_time_gull_start = 2
    local periodically_time_gull_end = 20
    
    local anim_background = createcompositionbesedka_FON()
    anim_background:AttachTo(screen)
    anim_background:SetZ(75)
    anim_background:SetCyclic(true)
    
    local sea_gull_1 = createComposition_chayka_1()
    sea_gull_1:AttachTo(screen)
    sea_gull_1:SetZ(76.1)
    PlayCompositionPeriodicallyVsRandDelay(sea_gull_1, periodically_time_gull_start, periodically_time_gull_end)
    
    local sea_gull_2 = createComposition_chayka_2()
    sea_gull_2:AttachTo(screen)
    sea_gull_2:SetZ(76.2)
    PlayCompositionPeriodicallyVsRandDelay(sea_gull_2, periodically_time_gull_start, periodically_time_gull_end)
    
    local anim_maska = createComposition_maska()
    anim_maska:AttachTo(screen)
    anim_maska:SetZ(85)
    ---------------------------------------------------------------------------------------------
    game_state.chain_on_shown = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_18_ON_SHOWN, 'COMICS_18_ON_SHOWN')
                                                 end )
    game_state.chain_web = RegisterComicsEx(function()
                                                LoadComicsWithOneReplicHeroes(PATH_COMICS_18_WEB, 'COMICS_18_WEB')
                                             end )
    SetHintComicsPhotoZoneEx(photo_spray, game_state.chain_web)
    game_state.chain_ladder = RegisterComicsEx(function()
                                                LoadComicsWithOneReplicHeroes(PATH_COMICS_18_LADDER, 'COMICS_18_LADDER')
                                             end )
    SetHintComicsPhotoZoneEx(photo_ladder, game_state.chain_ladder)
    game_state.chain_on_win = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_18_WIN, 'COMICS_18_ON_WIN')
                                               end )
    game_state.chain_on_win.OnHidden = function()
        OnWinLevel()
    end                                                  
    ---------------------------------------------------------------------------------------------
end

function OnSceneFree()
    FreeData()
end

function OnScreenShown(fade_out)
    local state_anim_lizard = game_state.scene_path..'__anim_lizard_run'
    if GameStateExists(state_anim_lizard) == false then
        play_field:SetEnabled(false)
    end

    if fade_out then
    end
end

function OnHiddenComics()
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnWin()
    game_state.chain_on_win.Play()
end

function OnLose()
end

function OnExit()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
    
    if object:GetName() == 'pixel_spider' and game_state.anim_spider_enter then
        game_state.anim_spider_enter:Play()
    end
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)
    
    return is_wrong_click
end

function OnObjectMouseUp(object)
end

function OnObjectRightMouseDown(object)
end

function OnObjectRightMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
    if tool:GetName() == 'ladder_tool' then
        tool:SetScale(0.65)
    end
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnPhotographing()
	DefaultOnPhotographing()
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function OnMinigameCompleted()
end

function OnLostFocus()
end

function OnGainFocus()
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,70,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/ashtray.png',0,0,111,70,1,0)
	anim:SetHotSpot(55,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ashtray',anim,545,733,124,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/axe.png',0,0,123,146,1,0)
	anim:SetHotSpot(61,73)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('axe',anim,664,518,115,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/bag.png',0,0,173,109,1,0)
	anim:SetHotSpot(86,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bag',anim,315,648,150,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/book.png',0,0,184,79,1,0)
	anim:SetHotSpot(92,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('book',anim,818,730,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/bottle.png',0,0,62,108,1,0)
	anim:SetHotSpot(31,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bottle',anim,879,621,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/broom.png',0,0,114,214,1,0)
	anim:SetHotSpot(57,107)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('broom',anim,967,630,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/cactus.png',0,0,75,86,1,0)
	anim:SetHotSpot(37,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cactus',anim,979,508,150,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/camera.png',0,0,54,51,1,0)
	anim:SetHotSpot(27,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('camera',anim,694,529,150,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/clock.png',0,0,123,82,1,0)
	anim:SetHotSpot(61,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('clock',anim,470,722,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/coral.png',0,0,109,89,1,0)
	anim:SetHotSpot(54,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('coral',anim,885,33,250,220,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/elephant.png',0,0,75,70,1,0)
	anim:SetHotSpot(37,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('elephant',anim,514,373,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/fork.png',0,0,92,29,1,0)
	anim:SetHotSpot(46,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fork',anim,693,751,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/gloves.png',0,0,62,96,1,0)
	anim:SetHotSpot(31,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gloves',anim,399,125,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/gun.png',0,0,202,357,1,0)
	anim:SetHotSpot(51,178)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gun',anim,329,497,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/hat.png',0,0,90,88,1,0)
	anim:SetHotSpot(45,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hat',anim,353,348,260,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/knife.png',0,0,128,39,1,0)
	anim:SetHotSpot(64,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('knife',anim,394,752,250,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/lamp.png',0,0,115,148,1,0)
	anim:SetHotSpot(57,74)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lamp',anim,438,69,150,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/magnifying_glass.png',0,0,69,78,1,0)
	anim:SetHotSpot(34,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('magnifying_glass',anim,734,734,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/maize.png',0,0,120,40,1,0)
	anim:SetHotSpot(60,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('maize',anim,769,542,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/mask.png',0,0,61,107,1,0)
	anim:SetHotSpot(30,53)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mask',anim,789,214,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/nest.png',0,0,112,106,1,0)
	anim:SetHotSpot(56,53)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('nest',anim,855,505,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/pair_of_glasses.png',0,0,127,60,1,0)
	anim:SetHotSpot(63,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pair_of_glasses',anim,684,659,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/pipe.png',0,0,38,54,1,0)
	anim:SetHotSpot(19,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pipe',anim,545,475,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/scissors.png',0,0,96,79,1,0)
	anim:SetHotSpot(48,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('scissors',anim,631,725,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/scroll.png',0,0,139,49,1,0)
	anim:SetHotSpot(69,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('scroll',anim,464,499,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/spring.png',0,0,68,62,1,0)
	anim:SetHotSpot(34,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('spring',anim,449,653,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/stamp.png',0,0,57,51,1,0)
	anim:SetHotSpot(28,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('stamp',anim,807,600,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/tie.png',0,0,28,131,1,0)
	anim:SetHotSpot(14,65)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tie',anim,770,82,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/vase.png',0,0,106,106,1,0)
	anim:SetHotSpot(53,53)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('vase',anim,368,733,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/layers/layer_broom.png',0,0,141,174,1,0)
	anim:SetHotSpot(70,87)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_broom',anim,952,681,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/layers/layer_fence.png',0,0,116,221,1,0)
	anim:SetHotSpot(58,110)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_fence',anim,645,489,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/layers/layer_scroll.png',0,0,43,106,1,0)
	anim:SetHotSpot(21,53)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_scroll',anim,472,496,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_open_pipe',anim,942,366,100,0,20,7)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/ZoomPipe/bg_pipe.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bg_pipe',anim,512,384,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/ZoomPipe/Items/airplane.png',0,0,60,38,1,0)
	anim:SetHotSpot(30,19)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('airplane',anim,752,326,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/ZoomPipe/Items/handbell.png',0,0,75,48,1,0)
	anim:SetHotSpot(37,24)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('handbell',anim,751,583,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/ZoomPipe/Items/pomegranate.png',0,0,68,55,1,0)
	anim:SetHotSpot(34,27)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pomegranate',anim,502,538,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/ZoomPipe/Items/ship.png',0,0,54,31,1,0)
	anim:SetHotSpot(27,15)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ship',anim,805,418,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/ZoomPipe/Items/snail.png',0,0,41,56,1,0)
	anim:SetHotSpot(20,28)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('snail',anim,284,193,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/ZoomPipe/Layers/layer_ship.png',0,0,21,27,1,0)
	anim:SetHotSpot(10,13)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('layer_ship',anim,782,416,520,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/ZoomPipe/ladder.png',0,0,278,240,1,0)
	anim:SetHotSpot(139,120)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ladder',anim,528,452,520,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/ZoomRoof/bg_roof.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bg_roof',anim,512,384,700,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/ZoomRoof/Items/comb.png',0,0,79,47,1,0)
	anim:SetHotSpot(39,23)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('comb',anim,703,192,720,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/ZoomRoof/Items/pepper.png',0,0,36,35,1,0)
	anim:SetHotSpot(18,17)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pepper',anim,332,164,720,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/ZoomRoof/Items/snake.png',0,0,56,93,1,0)
	anim:SetHotSpot(28,46)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('snake',anim,605,518,720,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_open_roof',anim,604,120,200,0,30,30)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_spider',anim,502,390,520,0,14,14)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/spray.png',0,0,90,116,1,0)
	anim:SetHotSpot(45,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('spray',anim,557,634,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/photo/spray_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('spray_photo',anim,91,611,10,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/photo/ladder_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ladder_photo',anim,92,609,10,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_tool_target_ladder',anim,637,193,250,0,21,50)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/layers/ladder_full.png',0,0,163,602,1,0)
	anim:SetHotSpot(81,301)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ladder_full',anim,635,294,117,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/spray_tool.png',0,0,45,112,1,0)
	anim:SetHotSpot(22,56)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('spray_tool',anim,155,710,10,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/layers/ladder_full.png',0,0,163,602,1,0)
	anim:SetHotSpot(81,301)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ladder_tool',anim,82,437,10,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/layers/layer_ladder_1.png',0,0,107,63,1,0)
	anim:SetHotSpot(53,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_ladder_1',anim,619,40,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/layers/layer_ladder_2.png',0,0,108,201,1,0)
	anim:SetHotSpot(54,100)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_ladder_2',anim,641,489,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/ZoomRoof/animation/lizard_run_on_roof.png',0,0,225,254,16,10)
	anim:SetHotSpot(112,127)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('lizard_run_on_roof',anim,718,348,708,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/ZoomRoof/board_close.png',0,0,276,242,1,0)
	anim:SetHotSpot(138,121)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('board_close',anim,683,369,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/ZoomRoof/board_open.png',0,0,300,251,1,0)
	anim:SetHotSpot(150,125)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('board_open',anim,527,369,770,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/ZoomRoof/palm.png',0,0,46,25,1,0)
	anim:SetHotSpot(23,12)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('palm',anim,676,376,705,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/shoes.png',0,0,101,66,1,0)
	anim:SetHotSpot(50,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('shoes',anim,268,726,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/layers/layer_vase.png',0,0,155,67,1,0)
	anim:SetHotSpot(77,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_vase',anim,384,734,220,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/18_arbour_/items/balance.png',0,0,91,92,1,0)
	anim:SetHotSpot(45,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('balance',anim,328,72,100,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
